package org.vamsas.objects.utils;

import java.util.Date;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.vamsas.objects.core.Entry;
import org.vamsas.objects.core.Provenance;

public class ProvenanceStuff {

  /**
   * stuff for making and doing things with provenance objects.
   */
  static Log log = LogFactory.getLog(ProvenanceStuff.class);

  /**
   * @param action
   *          text for action entry
   * @return new Provenance entry for ArchiveWriter created docs.
   * TODO: Verify and move to SimpleClient class for provenance handling
   */
  public static Entry newProvenanceEntry(String user, String action) { 
    log.debug("Adding ProvenanceEntry("+user+","+action+")");
    Entry e = new Entry();
    e.setAction(action);
    e.setUser(user);
    e.setDate(new org.exolab.castor.types.Date(new Date()));
    return e;
  }
  public static Provenance newProvenance(Entry entry) {
    Provenance list = new Provenance();
    list.addEntry(entry);
    return list;
  }
  public static Provenance newProvenance(String user, String action) {
    return newProvenance(ProvenanceStuff.newProvenanceEntry(user, action));
  }

}
